Bug 1576839 - Underscores in stacknames will cause problems when upgrading from 10
Summary: Underscores in stacknames will cause problems when upgrading from 10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 10.0 (Newton)
Hardware: All
OS: All
medium
medium
Target Milestone: z9
: 10.0 (Newton)
Assignee: Sergii Golovatiuk
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1576700
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 13:57 UTC by Gurenko Alex
Modified: 2018-10-22 12:50 UTC (History)
19 users (show)

Fixed In Version: openstack-tripleo-validations-5.1.4-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1576700
Environment:
Last Closed: 2018-09-17 16:59:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2671 None None None 2018-09-17 17:00:21 UTC
OpenStack gerrit 572789 None None None 2018-06-06 15:43:24 UTC

Comment 1 Gurenko Alex 2018-05-10 14:01:47 UTC
Pasting RHOS 13-related information

(undercloud) [stack@undercloud-0 ~]$ sh overcloud_deploy.sh

Started Mistral Workflow tripleo.validations.v1.check_pre_deployment_validations. Execution ID: 3096bda7-4edf-40ce-8c79-eaeefc82a5dd
Waiting for messages on queue 'tripleo' with no timeout.
Creating Swift container to store the plan
Action tripleo.plan.create_container execution failed: Unable to create plan. The plan name must only contain letters, numbers or dashes

(undercloud) [stack@undercloud-0 ~]$ cat overcloud_deploy.sh
#!/bin/bash

openstack overcloud deploy \
--timeout 100 \
--templates /usr/share/openstack-tripleo-heat-templates \
--stack qe_Cloud-0 \
--libvirt-type kvm \
--ntp-server clock.redhat.com \
-e /home/stack/virt/internal.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /home/stack/virt/network/network-environment.yaml \
-e /home/stack/virt/enable-tls.yaml \
-e /home/stack/virt/inject-trust-anchor.yaml \
-e /home/stack/virt/public_vip.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/ssl/tls-endpoints-public-ip.yaml \
-e /home/stack/virt/hostnames.yml \
-e /usr/share/openstack-tripleo-heat-templates/environments/ceph-ansible/ceph-ansible.yaml \
-e /home/stack/virt/debug.yaml \
-e /home/stack/virt/nodes_data.yaml \
-e /home/stack/virt/docker-images.yaml \
--log-file overcloud_deployment_24.log

(undercloud) [stack@undercloud-0 ~]$ rpm -q python-tripleoclient
python-tripleoclient-9.2.1-5.el7ost.noarch

(undercloud) [stack@undercloud-0 ~]$ rpm -q openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-8.0.2-14.el7ost.noarch

Comment 2 Alex Schultz 2018-05-10 14:55:36 UTC
In 10 underscores were allowed in stacknames (which then caused them to be used in hostnames). Unfortunately underscores are not valid in hostnames[0] so we disabled the ability to create stacks with underscores in 11[1].  This has caused other issues with functionality in OpenStack[2] so I'm not sure the actual end 
user impact.

The validation failure we're hitting is NOTABUG in 13, but the ability to upgrade from 10 to 13 might be impacted if the stackname or hostname has an underscore in it. We likely will want to prevent upgrades for systems with underscores in them or we may need to be able to ignore this validation for upgrades.

[0] https://tools.ietf.org/html/rfc952
[1] https://launchpad.net/tripleo/+bug/1644587 
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1536753

Comment 16 Carlos Camacho 2018-06-07 19:35:45 UTC
Validation merged and packaged.

Comment 24 Alex McLeod 2018-09-03 07:59:44 UTC
Hi there,

If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field.

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Thanks,
Alex

Comment 26 errata-xmlrpc 2018-09-17 16:59:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2671


Note You need to log in before you can comment on or make changes to this bug.